<?php

namespace src\Migrations;

class _024_adicionarFormaPagamentoFinanceiro
{
    public function up()
    {
        $conexao = new \src\Conexao\Conexao();
        $conn = $conexao->getConexao();

        $query = "ALTER TABLE financeiro ADD COLUMN forma_pagamento ENUM('Cartão Crédito', 'Cartão Débito', 'Pix', 'Dinheiro', 'Permuta', 'Outros') DEFAULT 'Outros'";

        $stmt = $conn->prepare($query);
        if (!$stmt) {
            echo "Erro ao preparar a consulta: " . $conn->error;
            return null;
        }

        $stmt->execute();
    }

    public function down() {}
}
